## task-devel 0.5

=== debian/changelog ===
task-devel (0.5) frozen unstable; urgency=medium

  * Have apt choose gcc over gcc272 (Closes: #64708).
  * Downgrade dependency on ltrace to Suggests: so it does not cause
    awkwardness with dselect on Alpha where ltrace isn't available. 
    (Closes: #64634)
  * Updated Standards-Version.
  * Added Suggests: autoproject, protoize to task-c-dev.
  * task-debug Recommends: rather than Suggests: lclint now that it is free.
  * Added funnelweb to the literate programming tools.
  * Acknowledge NMU (Closes: #64603).

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 27 May 2000 16:48:27 +0200

task-devel (0.4.1) frozen unstable; urgency=low

  * Non maintainer upload.
  * [RC] Fixed Depends for task-objc-dev to name gobjc as the default 
    compiler. Won't install without this change... (closes: #64603)

 -- Torsten Landschoff <torsten@debian.org>  Tue, 23 May 2000 21:42:45 +0200

task-devel (0.4) frozen unstable; urgency=low

  * Clean up short description of packages. Fixes #55660, #55661,
    #55662, #55731, #55732.

 -- Matthias Klose <doko@debian.org>  Sat, 19 Feb 2000 15:14:17 +0100

task-devel (0.3) unstable; urgency=low

  * Downgrade nana and objc-poc Recommends to Suggests, because the
    dependencies cannot be met with optional or better packages.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jan 2000 12:03:18 +0100

task-devel (0.2) unstable; urgency=low

  * 'poc' was renamed to 'objc-poc'. (Fixes: #54571)
  * Added 'memprof' to task-debug.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 10 Jan 2000 21:39:09 +0100

task-devel (0.1) unstable; urgency=low

  * Initial version; feedback appreciated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sat, 16 Oct 1999 16:56:55 +0200

Local variables:
mode: debian-changelog
mode: auto-fill
End:
