=== debian/control ===
Source: task-devel
Section: devel
Priority: optional
Maintainer: Debian GCC maintainers <gcc@packages.debian.org>
Standards-Version: 3.1.1

Package: task-devel-common
Architecture: all
Depends: make, binutils | binutils-multiarch
Recommends: gcc-doc, glibc-doc,                                                 manpages-dev | manpages-de-dev | manpages-pl-dev,                           autoconf, automake, libtool,                                                flex, bison,                                                                indent | astyle,                                                            patch, diff,                                                                strace,                                                                     cvs | rcs | aegis | prcs,                                                   gettext
Suggests: task-c-dev | task-c++-dev | task-objc-dev | task-debug,               icmake | pmake | xmake | cook | cons,                                       byacc, gperf,                                                               clig | wyg | opt | autogen,                                                 colorgcc,                                                                   dejagnu,                                                                    cdecl,                                                                      metrics,                                                                    dist,                                                                       nana,                                                                       gnu-standards,                                                              ltrace
Description: Development in various languages
 A metapackage containing dependencies for tools commonly used in
 development and debugging using the C, C++, and Objective C programming
 languages and others, including:
  o Developer's documentation
  o An assembler, linker and tools to manipulate object files
  o Tools to script the build process
  o Tools to help deal with system differences and simplify the creation
    of libraries
  o Tools to generate lexical analyzers and parsers
  o Tools to automate indentation and cross-reference generation
  o System and library call tracers
  o Version and configuration management systems
  o I18n (internationalization) tools
  o Tools for enhanced assertion checking
  o Tools to help in command line parsing and writing help texts
  o Tools for regression testing

Package: task-c-dev
Architecture: all
Depends: task-devel-common, gcc | c-compiler, cpp, libc-dev
Suggests: task-debug,                                                           autoproject, protoize,                                                      doc++ | cweb | cwebx | cweb-latex | nowebm | fweb | funnelweb,              c2man, cxref, cutils, tendra, cflow, liwc
Description: Development in C
 A metapackage containing dependencies for a complete environment for
 development of programs in the C programming language, including:
  o Tools common for C, C++ and Objective C development
  o A C preprocessor
  o A C compiler
  o Development files of the standard C library
  o Debugging tools
  o Literate programming tools for C
  o C source analysis tools and tools to manipulate C source

Package: task-c++-dev
Architecture: all
Depends: task-devel-common, c++-compiler, cpp, libc-dev
Recommends: stl-manual
Suggests: task-debug, task-c-dev,                                               doc++ | cweb | cwebx | cweb-latex | nowebm | fweb | funnelweb,              openc++
Description: Development in C++
 A metapackage containing dependencies for a complete environment for
 development of programs in the C++ programming language, including:
  o Tools common for C, C++ and Objective C development
  o A C preprocessor
  o A C++ compiler and the standard C++ library
  o Documentation for the Standard Template Library
  o Debugging tools
  o Literate programming tools for C++
  o An extensible C++ compiler

Package: task-objc-dev
Architecture: all
Depends: task-devel-common, gobjc | objc-compiler, cpp, libc-dev
Suggests: task-debug, task-c-dev,                                               nowebm,                                                                     objc-poc
Description: Development in Objective C
 A metapackage containing dependencies for a complete environment for
 development of programs in the Objective C programming language, including:
  o Tools common for C, C++ and Objective C development
  o A C preprocessor
  o An Objective C compiler and library
  o Debugging tools
  o Literate programming tools for Objective C

Package: task-debug
Architecture: all
Depends: gdb
Recommends: ddd | xxgdb,                                                        electric-fence,                                                             ccmalloc | dmalloc | fda | debauch,                                         memprof,                                                                    lclint
Suggests: task-c-dev | task-c++-dev | task-objc-dev | task-fortran,             dejagnu
Description: Debugging of C, C++, Objective C and friends
 A metapackage containing dependencies for the debugging of programs written
 in C, C++, Objective C and other languages supported by the gcc compiler,
 including:
  o The GNU debugger gdb
  o A sophisticated and a simple GUI frontend for the GNU debugger
  o Tools to detect memory access violations
  o Tools to track down memory leaks
  o Tools to annotate source code and extended assertion support
  o Tools for regression testing
